libetonyek::IWORKTable Class Reference documentation

Classes | Public Types | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKTable Class Reference

`#include <IWORKTable.h>`

## Classes
struct | Cell

## Public Types
enum | CellType { CELL_TYPE_BODY, CELL_TYPE_ALTERNATE_BODY, CELL_TYPE_COLUMN_HEADER, CELL_TYPE_ROW_HEADER, CELL_TYPE_ROW_FOOTER }

## Public Member Functions
| IWORKTable (const IWORKTableNameMapPtr_t &tableNameMap, const IWORKLanguageManager &langManager)
void | setRecorder (const std::shared_ptr< IWORKTableRecorder > &recorder)
const std::shared_ptr< IWORKTableRecorder > & | getRecorder () const
void | setSize (unsigned columns, unsigned rows)
void | setHeaders (unsigned headerColumns, unsigned headerRows, unsigned footerRows)
void | setBandedRows (bool banded=true)
void | setRepeated (bool columns, bool rows)
void | setStyle (const IWORKStylePtr_t &style)
void | setSizes (const IWORKColumnSizes_t &columnSizes, const IWORKRowSizes_t &rowSizes)
void | setBorders (const IWORKGridLineMap_t &verticalLines, const IWORKGridLineMap_t &horizontalLines)
void | insertCell (unsigned column, unsigned row, const boost::optional< std::string > &value=boost::none, const std::shared_ptr< IWORKText > &text=std::shared_ptr< IWORKText >(), unsigned columnSpan=1, unsigned rowSpan=1, const boost::optional< IWORKFormula > &formula=boost::none, const IWORKStylePtr_t &style=IWORKStylePtr_t(), IWORKCellType type=IWORK_CELL_TYPE_TEXT)
void | insertCoveredCell (unsigned column, unsigned row)
void | draw (const librevenge::RVNGPropertyList &tableProps, IWORKOutputElements &elements, bool drawAsSimpleTable)
void | setDefaultCellStyle (CellType type, const IWORKStylePtr_t &style)
void | setDefaultLayoutStyle (CellType type, const IWORKStylePtr_t &style)
void | setDefaultParagraphStyle (CellType type, const IWORKStylePtr_t &style)
IWORKStylePtr_t | getDefaultCellStyle (unsigned column, unsigned row) const
IWORKStylePtr_t | getDefaultLayoutStyle (unsigned column, unsigned row) const
IWORKStylePtr_t | getDefaultParagraphStyle (unsigned column, unsigned row) const

## Private Types
typedef std::deque< Cell > | Row_t
typedef std::deque< Row_t > | Table_t

## Private Member Functions
IWORKStylePtr_t | getDefaultStyle (unsigned column, unsigned row, const IWORKStylePtr_t *group) const

## Private Attributes
const IWORKTableNameMapPtr_t | m_tableNameMap
const IWORKLanguageManager & | m_langManager
Table_t | m_table
IWORKStylePtr_t | m_style
IWORKColumnSizes_t | m_columnSizes
IWORKRowSizes_t | m_rowSizes
IWORKGridLineMap_t | m_verticalLines
IWORKGridLineMap_t | m_horizontalLines
unsigned | m_rows
unsigned | m_columns
unsigned | m_headerRows
unsigned | m_footerRows
unsigned | m_headerColumns
bool | m_bandedRows
bool | m_headerRowsRepeated
bool | m_headerColumnsRepeated
IWORKStylePtr_t | m_defaultCellStyles [5]
IWORKStylePtr_t | m_defaultLayoutStyles [5]
IWORKStylePtr_t | m_defaultParaStyles [5]
std::shared_ptr< IWORKTableRecorder > | m_recorder

## Member Typedef Documentation

## ◆ Row_t

typedef std::deque<Cell> libetonyek::IWORKTable::Row_t
| private

## ◆ Table_t

typedef std::deque<Row_t> libetonyek::IWORKTable::Table_t
| private

## Member Enumeration Documentation

## ◆ CellType

enum libetonyek::IWORKTable::CellType

Enumerator
CELL_TYPE_BODY |
CELL_TYPE_ALTERNATE_BODY |
CELL_TYPE_COLUMN_HEADER |
CELL_TYPE_ROW_HEADER |
CELL_TYPE_ROW_FOOTER |

## Constructor & Destructor Documentation

## ◆ IWORKTable()

libetonyek::IWORKTable::IWORKTable | ( | const IWORKTableNameMapPtr_t & | tableNameMap,
|  | const IWORKLanguageManager & | langManager
| ) |  |
| explicit

## Member Function Documentation

## ◆ draw()

void libetonyek::IWORKTable::draw | ( | const librevenge::RVNGPropertyList & | tableProps,
|  | IWORKOutputElements & | elements,
|  | bool | drawAsSimpleTable
| ) |  |

## ◆ getDefaultCellStyle()

IWORKStylePtr_t libetonyek::IWORKTable::getDefaultCellStyle | ( | unsigned | column,
|  | unsigned | row
| ) |  | const

Referenced by draw(), and insertCell().

## ◆ getDefaultLayoutStyle()

IWORKStylePtr_t libetonyek::IWORKTable::getDefaultLayoutStyle | ( | unsigned | column,
|  | unsigned | row
| ) |  | const

Referenced by insertCell().

## ◆ getDefaultParagraphStyle()

IWORKStylePtr_t libetonyek::IWORKTable::getDefaultParagraphStyle | ( | unsigned | column,
|  | unsigned | row
| ) |  | const

Referenced by draw(), and insertCell().

## ◆ getDefaultStyle()

IWORKStylePtr_t libetonyek::IWORKTable::getDefaultStyle | ( | unsigned | column,
|  | unsigned | row,
|  | const IWORKStylePtr_t * | group
| ) |  | const
| private

Referenced by getDefaultCellStyle(), getDefaultLayoutStyle(), and getDefaultParagraphStyle().

## ◆ getRecorder()

const std::shared_ptr< IWORKTableRecorder > & libetonyek::IWORKTable::getRecorder | ( |  | ) | const

## ◆ insertCell()

void libetonyek::IWORKTable::insertCell | ( | unsigned | column,
|  | unsigned | row,
|  | const boost::optional< std::string > & | value = `boost::none`,
|  | const std::shared_ptr< IWORKText > & | text = `std::shared_ptr<IWORKText>()`,
|  | unsigned | columnSpan = `1`,
|  | unsigned | rowSpan = `1`,
|  | const boost::optional< IWORKFormula > & | formula = `boost::none`,
|  | const IWORKStylePtr_t & | style = `IWORKStylePtr_t()`,
|  | IWORKCellType | type = `IWORK_CELL_TYPE_TEXT`
| ) |  |

## ◆ insertCoveredCell()

void libetonyek::IWORKTable::insertCoveredCell | ( | unsigned | column,
|  | unsigned | row
| ) |  |

## ◆ setBandedRows()

void libetonyek::IWORKTable::setBandedRows | ( | bool | banded = `true` | ) |

## ◆ setBorders()

void libetonyek::IWORKTable::setBorders | ( | const IWORKGridLineMap_t & | verticalLines,
|  | const IWORKGridLineMap_t & | horizontalLines
| ) |  |

## ◆ setDefaultCellStyle()

void libetonyek::IWORKTable::setDefaultCellStyle | ( | CellType | type,
|  | const IWORKStylePtr_t & | style
| ) |  |

## ◆ setDefaultLayoutStyle()

void libetonyek::IWORKTable::setDefaultLayoutStyle | ( | CellType | type,
|  | const IWORKStylePtr_t & | style
| ) |  |

## ◆ setDefaultParagraphStyle()

void libetonyek::IWORKTable::setDefaultParagraphStyle | ( | CellType | type,
|  | const IWORKStylePtr_t & | style
| ) |  |

## ◆ setHeaders()

void libetonyek::IWORKTable::setHeaders | ( | unsigned | headerColumns,
|  | unsigned | headerRows,
|  | unsigned | footerRows
| ) |  |

## ◆ setRecorder()

void libetonyek::IWORKTable::setRecorder | ( | const std::shared_ptr< IWORKTableRecorder > & | recorder | ) |

## ◆ setRepeated()

void libetonyek::IWORKTable::setRepeated | ( | bool | columns,
|  | bool | rows
| ) |  |

## ◆ setSize()

void libetonyek::IWORKTable::setSize | ( | unsigned | columns,
|  | unsigned | rows
| ) |  |

## ◆ setSizes()

void libetonyek::IWORKTable::setSizes | ( | const IWORKColumnSizes_t & | columnSizes,
|  | const IWORKRowSizes_t & | rowSizes
| ) |  |

## ◆ setStyle()

void libetonyek::IWORKTable::setStyle | ( | const IWORKStylePtr_t & | style | ) |

## Member Data Documentation

## ◆ m_bandedRows

bool libetonyek::IWORKTable::m_bandedRows
| private

Referenced by getDefaultStyle(), and setBandedRows().

## ◆ m_columns

unsigned libetonyek::IWORKTable::m_columns
| private

Referenced by setSize().

## ◆ m_columnSizes

IWORKColumnSizes_t libetonyek::IWORKTable::m_columnSizes
| private

Referenced by draw(), insertCell(), insertCoveredCell(), and setSizes().

## ◆ m_defaultCellStyles

IWORKStylePtr_t libetonyek::IWORKTable::m_defaultCellStyles[5]
| private

Referenced by getDefaultCellStyle(), and setDefaultCellStyle().

## ◆ m_defaultLayoutStyles

IWORKStylePtr_t libetonyek::IWORKTable::m_defaultLayoutStyles[5]
| private

Referenced by getDefaultLayoutStyle(), and setDefaultLayoutStyle().

## ◆ m_defaultParaStyles

IWORKStylePtr_t libetonyek::IWORKTable::m_defaultParaStyles[5]
| private

Referenced by getDefaultParagraphStyle(), and setDefaultParagraphStyle().

## ◆ m_footerRows

unsigned libetonyek::IWORKTable::m_footerRows
| private

Referenced by getDefaultStyle(), and setHeaders().

## ◆ m_headerColumns

unsigned libetonyek::IWORKTable::m_headerColumns
| private

Referenced by getDefaultStyle(), and setHeaders().

## ◆ m_headerColumnsRepeated

bool libetonyek::IWORKTable::m_headerColumnsRepeated
| private

Referenced by setRepeated().

## ◆ m_headerRows

unsigned libetonyek::IWORKTable::m_headerRows
| private

Referenced by draw(), getDefaultStyle(), and setHeaders().

## ◆ m_headerRowsRepeated

bool libetonyek::IWORKTable::m_headerRowsRepeated
| private

Referenced by setRepeated().

## ◆ m_horizontalLines

IWORKGridLineMap_t libetonyek::IWORKTable::m_horizontalLines
| private

Referenced by draw(), and setBorders().

## ◆ m_langManager

const IWORKLanguageManager& libetonyek::IWORKTable::m_langManager
| private

Referenced by draw().

## ◆ m_recorder

std::shared_ptr<IWORKTableRecorder> libetonyek::IWORKTable::m_recorder
| private

Referenced by draw(), getRecorder(), insertCell(), insertCoveredCell(), setBandedRows(), setBorders(), setDefaultCellStyle(), setDefaultLayoutStyle(), setDefaultParagraphStyle(), setHeaders(), setRecorder(), setRepeated(), setSize(), setSizes(), and setStyle().

## ◆ m_rows

unsigned libetonyek::IWORKTable::m_rows
| private

Referenced by getDefaultStyle(), and setSize().

## ◆ m_rowSizes

IWORKRowSizes_t libetonyek::IWORKTable::m_rowSizes
| private

Referenced by draw(), insertCell(), insertCoveredCell(), and setSizes().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKTable::m_style
| private

Referenced by setStyle().

## ◆ m_table

Table_t libetonyek::IWORKTable::m_table
| private

Referenced by draw(), insertCell(), insertCoveredCell(), and setSizes().

## ◆ m_tableNameMap

const IWORKTableNameMapPtr_t libetonyek::IWORKTable::m_tableNameMap
| private

Referenced by draw().

## ◆ m_verticalLines

IWORKGridLineMap_t libetonyek::IWORKTable::m_verticalLines
| private

Referenced by draw(), and setBorders().

The documentation for this class was generated from the following files:

- IWORKTable.h
- IWORKTable.cpp